Anaplan Excel Add-in Prerequisites

0 Kudos

Anaplan Excel Add-in Prerequisites

I wanted to share an uncommunicated prerequisite for the Anaplan Excel Add-in 4.x series. 

Reading through prerequisites, the documentation explicitly indicates certain items that are not natively part of an operating system, like the version of MS Office or the supporting technologies of  .NET 4.7.2 and Visual Studio Tools for Office.  However, other items that are natively included in an operating system, are missing. 

When installing the add-in to a terminal services environment (Windows Server OS) or even a non-Windows operating system, like macOS or a mobile device with iOS or Android, certain non-native items must be installed.  This specific item I ran into a problem with is the MS Edge Browser.  The Anaplan Excel Add-in Series 4 requires the MS Edge Browser.  Previous versions made use of Internet Explorer 11, which is the native browser in older Microsoft operating systems and Windows Server environments.  Please make a note of it.  😉
It's important to understand the actual, underlying prerequisites of a piece of software when trying to manage an enterprise-level implementation.  Using proxies like "operating system" could work for some, but not all people that work with Anaplan. 

2 Comments
MagaliP
Community Boss

Since version 4.2, this is not a prerequisite anymore as we have embedded a browser in the add-in. Check out our latest version!

Status changed to: Delivered
Stacey_Gibbens
Certified Master Anaplanner

@MagaliP 

This is interesting, because I am trying to get v. 4.2 working and have an open case with support!  We are unable to authenticate via SSO with 4.2 and we have not yet understood why.  The embedded browser may be the key!
Which browser is embedded?  Is it Firefox?  If so, that solves the authentication issue...  My infrastructure team has disabled the ability to authenticate via our SSO solution via Firefox... 

Thank you!

Stacey